package utility;
import java.util.Hashtable;

public class AgentIdentity implements java.io.Serializable
{
	Hashtable properties = new Hashtable();
  	public AgentIdentity()
	{
	}
	public AgentIdentity(int id)
	{
		properties.put("Id", new Integer(id));
	}
	public int getId()
	{
    		Integer idNo = (Integer)properties.get("Id");
    		return idNo.intValue();
  	}
	public String getLoginName()
	{
		return (String)properties.get("loginName");
	}
	public void setLoginName(String name)
	{
		properties.put("loginName", name);
	}
	public Object getProperty(Object key)
	{
    		return properties.get(key);
  	}
	public void setProperty(Object key, Object value)
	{
    		properties.put(key, value);
	}
	public boolean equals(AgentIdentity aid)
	{
		boolean result = false ;
		if(aid.getLoginName().compareTo(getLoginName()) ==0 && aid.getId() ==0)
			result = true;
		return result;
	}
}
